<script lang="ts">
  import Card from '$lib/components/cards/Card.svelte';
  import { PUBLIC_API_URL } from '$env/static/public';

  export let name: string,
    scientificSchool: any,
    attachment: any;
</script>

<Card noPaddings>
    <img src="{PUBLIC_API_URL}/attachment/{attachment.id}" alt="" class="object-cover aspect-video w-full rounded-xl">

    <header>
        <h2 class="text-2xl font-bold font-serif">{name}</h2>
        <p>{scientificSchool.name}</p>
    </header>
    <div class="w-1/3 h-1 bg-blue-700"/>
    <p class="text-lg">{scientificSchool.description}</p>
</Card>